Display (VRE Manager Portlet 3.0.0-SNAPSHOT API)
Date: 2013-10-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.vredeployment.client.view
Interface Display

All Known Implementing Classes:
  VREDeploymentView

    public interface Display

Method Summary
`com.google.gwt.user.client.ui.Widget` | `asWidget()`
`void` | `enableActionButtons(VREDefinitionBean selectedItem)`
`com.extjs.gxt.ui.client.widget.button.Button` | `getApproveButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getApproveMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getEditButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getEditMenu()`
`com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<VREDefinitionBean>` | `getGridSelectionModel()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getRefreshButton()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getRemoveButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getRemoveMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getViewButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getViewMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getViewReportButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getViewReportMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getViewTextualReportButton()`
`void` | `maskCenterPanel(String message, boolean mask)`
`void` | `setData(List<VREDefinitionBean> data)`
`void` | `setGridContextMenu(String vreStatus)`
`void` | `showDetailsDialog(String html2Show)`
`void` | `updateSize()`

Method Detail

### maskCenterPanel

    void maskCenterPanel(String message,
                         boolean mask)

### setData

    void setData(List<VREDefinitionBean> data)

### asWidget

    com.google.gwt.user.client.ui.Widget asWidget()

### updateSize

    void updateSize()

### enableActionButtons

    void enableActionButtons(VREDefinitionBean selectedItem)

### showDetailsDialog

    void showDetailsDialog(String html2Show)

### setGridContextMenu

    void setGridContextMenu(String vreStatus)

### getViewButton

    com.extjs.gxt.ui.client.widget.button.Button getViewButton()

### getEditButton

    com.extjs.gxt.ui.client.widget.button.Button getEditButton()

### getViewReportButton

    com.extjs.gxt.ui.client.widget.button.Button getViewReportButton()

### getRemoveButton

    com.extjs.gxt.ui.client.widget.button.Button getRemoveButton()

### getApproveButton

    com.extjs.gxt.ui.client.widget.button.Button getApproveButton()

### getRefreshButton

    com.extjs.gxt.ui.client.widget.button.Button getRefreshButton()

### getViewTextualReportButton

    com.extjs.gxt.ui.client.widget.button.Button getViewTextualReportButton()

### getViewMenu

    com.extjs.gxt.ui.client.widget.menu.MenuItem getViewMenu()

### getEditMenu

    com.extjs.gxt.ui.client.widget.menu.MenuItem getEditMenu()

### getViewReportMenu

    com.extjs.gxt.ui.client.widget.menu.MenuItem getViewReportMenu()

### getRemoveMenu

    com.extjs.gxt.ui.client.widget.menu.MenuItem getRemoveMenu()

### getApproveMenu

    com.extjs.gxt.ui.client.widget.menu.MenuItem getApproveMenu()

### getGridSelectionModel

    com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<VREDefinitionBean> getGridSelectionModel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.